Subject: [Modern] Comments on draft-ietf-modern-problem-framework-01.txt

From: Henning Schulzrinne <[email-masked]>
Date: Sat, 10 Dec 2016 05:03:29 +0000

In general, the document seems to cover all the items we discussed and is in reasonable shape.

Primarily for the authors, I'm attaching my marked-up PDF version (generated within Apple Preview, but seems to work in Acrobat DC) with editorial nits.

If I were to make a larger-scale editorial suggestion, it would be that the document is unnecessarily repetitive since it describes the same kind of interactions both in the 'user assigned numbers' and 'CSP assigned numbers' models, making it hard to tell how they differ from a protocol or interaction perspective. As far as I can tell, they are almost the same, with the possible exception that the CSP may also use the database to store internal information related to providing service. But why shouldn't (for example) a large company record information to be used for internal billing as well?

For example, from a number utilization perspective, I'd imagine that if (say) large companies or government entities (other than the regulator) were ever allowed to acquire numbers, that they may have to show utilization. We know that the imperfect recording and justification of toll-free number utilization is causing "issues" in the US, for example.

I also noted that there probably needs to be some recording of assignment history somewhere so that authorized entities can determine who had a number at some point in the past. (The example I can think of involves law enforcement access, e.g., to avoid that a robocaller just abandons the number and erases all traces of the assignment once they have done their evil deed - kind of what happened when domain names could be acquired on a trial basis and then abandoned, without cost.)

Similarly, the distinction between centralized and distributed might be better handled once since the issues seem similar throughout. As far as I can tell, except for the mechanics, only the desire to keep private information in one place seems to argue for a hybrid model, or possibly a two-level model (where some information is only propagated to replicas within the same trust domain). If you want to say anything beyond that, you could mention whether any operations are time-critical, i.e., require consistency across the replicas within less than (say) a minute.

Throughout, terminology sometimes gets introduced without explanation (service bureau, reference address), and similar things are called by different names (e.g., freephone and toll-free).

I would also find a brief discussion of how the model can be both similar and different to allocating domain names helpful, as much of the IETF (and IESG...) audience will read it with that background. There's only an occasional, off-hand nod to the DNS model. Emphasizing that this is probably more of a policy (who can do what) than technology difference may help.

The portability model seems to assume that the subscriber works with the losing provider. My understanding is that this is not the current model, i.e., it should be possible for the gaining provider to do this, possibly with the help of an independent third party. This is probably one section where I'd like to see a more in-depth discussion since porting will probably be the trickiest interaction, given the wide variety of processes, both traditional (third-party verification, losing provider initiated) and maybe more contemporary (user-designated porting secret).

In general, I think Section 4 could be compressed quite a bit.

Henning